./textproc/p5-Text-PDF, Perl 5 module for manipulating PDF files

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.31nb1, Package name: p5-Text-PDF-0.31nb1, Maintainer: pkgsrc-users

The Perl 5 module Text::PDF allows interaction with existing PDF files
directly. It includes various tools including:

pdfbklt - make booklets out of existing PDF files
pdfrevert - remove edits from a PDF file
pdfstamp - stamp text on each page of a PDF file


Required to run:
[lang/perl5]

Master sites: (Expand)

SHA1: 9b249663ad5f986c438e3182d0c066700892d382
RMD160: 20462d9a30970c964e2ae90aea3617d92072ee90
Filesize: 54.948 KB

Version history: (Expand)


CVS history: (Expand)


   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2016-09-17 13:27:00 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Updated textproc/p5-Text-PDF to 0.31
------------------------------------
0.31 2016-08-24
 * Sort PDF dictionary keys for consistent output
 * Bug fixes
 *    TTF Font objects had null BaseFont (broken at commit afd5b9a)
 *    [rt.cpan.org] #110854: Fix spelling error in manpage
   2016-08-19 05:18:28 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 0.30

Upstream changes:
0.30 2016-08-17

* Source repo moved from Subversion to Github
* Add -p to pdfstamp
* Add -g, -p, -u to pdfbklt
* Bug fixes
*    Wasn't installing on Windows Perl 5.22 and up
*    [rt.cpan.org] #116492: make install fails under Strawberry Perl
*    [rt.cpan.org] #110855: Fix pod2man errors
*    [rt.cpan.org] #86452: Parse error reading array
*    [rt.cpan.org] #78351: Invalid version format (non-numeric data)
*    [rt.cpan.org] #41085: ASCII85 decode broken
*    [rt.cpan.org] #35871: lzw compression fixup
*    [rt.cpan.org] #32210: pdfstamp patch for use strict
*    [rt.cpan.org] #31353: adding first test
*    fix Dict::read_stream() to write long streams to file as intended
*    fix LZWDecode to handle streams longer than 4096 bytes
*    close INFILE at start of release()
*    Fix Dict to allow single stream filters rather than requiring an array
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2015-11-04 03:00:17 by Alistair G. Crooks | Files touched by this commit (797)
Log message:
Add SHA512 digests for distfiles for textproc category

Problems found locating distfiles:
	Package cabocha: missing distfile cabocha-0.68.tar.bz2
	Package convertlit: missing distfile clit18src.zip
	Package php-enchant: missing distfile php-enchant/enchant-1.1.0.tgz

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-07-12 20:56:37 by Thomas Klausner | Files touched by this commit (405)
Log message:
Comment out dependencies of the style
{perl>=5.16.6,p5-ExtUtils-ParseXS>=3.15}:../../devel/p5-ExtUtils-ParseXS
since pkgsrc enforces the newest perl version anyway, so they
should always pick perl, but sometimes (pkg_add) don't due to the
design of the {,} syntax.

No effective change for the above reason.

Ok joerg
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2014-05-30 01:38:20 by Thomas Klausner | Files touched by this commit (3049)
Log message:
Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.